﻿namespace Hotline.Share.Dtos.FlowEngine;

public class PreviousWorkflowDto : EndWorkflowIdDto
{
    /// <summary>
    /// 是否短信通知
    /// </summary>
    public bool AcceptSms { get; set; }

    /// <summary>
    /// 期满时间
    /// </summary>
    public DateTime? ExpiredTime { get; set; }
    
    /// <summary>
    /// 指定办理对象
    /// </summary>
    public FlowStepHandler? Handler { get; set; }
}

/// <summary>
/// 目标节点指派策略信息(流程流转时，指派的目标节点)
/// </summary>
public class TargetStepAssignPolicyInfo
{
    public ETargetStepAssignPolicy TargetStepAssignPolicy { get; set; }
    
    /// <summary>
    /// 指定办理对象(非指定办理对象时无效)
    /// </summary>
    public FlowStepHandler? Handler { get; set; }
}

public enum ETargetStepAssignPolicy
{
    /// <summary>
    /// 按配置
    /// </summary>
    Config = 0,
    
    /// <summary>
    /// 保持目标节点的办理对象不变
    /// </summary>
    TargetStep = 1,
    
    /// <summary>
    /// 指定办理对象
    /// </summary>
    AssignHandler = 2,
}